Skip to main content
GET
/
v1
/
slas
List SLAs
curl --request GET \
  --url https://api.rootly.com/v1/slas \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "slas",
      "attributes": {
        "name": "<string>",
        "condition_match_type": "ALL",
        "assignment_deadline_days": 123,
        "assignment_deadline_parent_status": "<string>",
        "completion_deadline_days": 123,
        "completion_deadline_parent_status": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "slug": "<string>",
        "description": "<string>",
        "position": 123,
        "entity_type": "follow_up",
        "manager_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "manager_user_id": 123,
        "assignment_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "assignment_skip_weekends": true,
        "completion_deadline_sub_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "completion_skip_weekends": true,
        "conditions": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "position": 123,
            "conditionable_type": "SLAs::BuiltInFieldCondition",
            "property": "<string>",
            "operator": "<string>",
            "values": [
              "<string>"
            ],
            "form_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "notification_configurations": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "offset_type": "before_due",
            "offset_days": 123,
            "created_at": "<string>",
            "updated_at": "<string>"
          }
        ]
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page[number]
integer
page[size]
integer
filter[slug]
string
filter[name]
string
filter[created_at][gt]
string
filter[created_at][gte]
string
filter[created_at][lt]
string
filter[created_at][lte]
string
sort
string

Response

200 - application/vnd.api+json

success

data
object[]
required
meta
object
required